<?php
//verifica los puntos del cliente 
function puntos_cliente($id){
	global $DB_MAGIC_CLIENTES_PUNTOS, $mysql, $DB_USUARIO;
		$q_cl = "SELECT * FROM ".$DB_USUARIO." WHERE id = ".$id;
		$result_cl = $mysql->query($q_cl);
		$array_cl = mysqli_fetch_array($result_cl);
		if($array_cl['cod_magic'] != ''){  
			$q = "SELECT (SUM(puntos_acum) + SUM(puntos_referidos) - SUM(puntos_retirados)) AS puntos FROM ".$DB_MAGIC_CLIENTES_PUNTOS." WHERE id_cliente = ".$array_cl['cod_magic'];
			//echo $q;
			$result = $mysql->query($q);
			$array = mysqli_fetch_array($result);
			return $array['puntos'];
		}else{
			return false;	
		}		
}
//devuelve cierto o falso si el correo del usuario existe o no
function mail_existe($email, $id_actual = ''){
	global $DB_USUARIO, $mysql;
	$q = "SELECT * FROM ".$DB_USUARIO." WHERE email = '".$email."'";
	if($id_actual != ''){
		$q .= " AND id != ".$id_actual;
	}
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) == 1){
		return true;
	}else{
		return false;
	}
}
//construye un selector para categorias y subcategorias
function create_select_categoria($selected, $limpiar = true, $nivel = '', $padre = 0){ 
	global $DB_CATEGORIA_PRODUCTOS, $mysql, $limpiar_txt, $seleccione_txt;
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE hijo_de = ".$padre;
	//echo $q;
	$result = $mysql->query($q);
	$html = '';
	if($padre == 0){
		if($selected == 0){
			$html .= "<option value='noopcion' selected='selected'>".$seleccione_txt['es']."</option>";	
		}elseif($limpiar){
			$html .= "<option value='noopcion'>".$limpiar_txt['es']."</option>";	
		}	
	}
	while($array = mysqli_fetch_array($result)){
		$html .= '<option value="'.$array['id'].'"';
			if($selected == $array['id'] ){
				$html .= ' selected="selected"';	
			}
		$html .= '>';
		if($nivel != ''){
			$html .= $nivel." ";
		}
		$html .= $array['nombre'].'<br />';	
		if(tiene_subcategorias($array['id'])){
			$html .= create_select_categoria($selected, $limpiar, $nivel."-", $array['id']);
		}
		$html .= '</option>';
	}
	return $html;
}

//devuelve el padre directo.
function categoria_padre($item){
	global $DB_CATEGORIA_PRODUCTOS, $mysql;
	$padre = '';
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE id = ".$item;
	//echo $q;
	$datos = $mysql->query($q);
	if(mysqli_num_rows($datos) > 0){
		$array = mysqli_fetch_array($datos);
		$padre = $array['hijo_de'];
	}else{
		$padre = false;
	}
	return $padre;
}
//Busca y devuelve el id de la primera categoria activa
function primera_cat($padre = NULL){
	global $DB_CATEGORIA_PRODUCTOS, $mysql;
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE status = 1 ";
	if($padre == ''){
		$q .= " AND hijo_de = 0 ";
	}else{
		$q .= " AND hijo_de = ".$padre;
	}
	$q .= " LIMIT 0,1";
	echo $q;
	$result = $mysql->query($q);
	$array = mysqli_fetch_array($result);
	return $array['id'];
}
//verifica las categorias 
function categorias_niveles($cat, $con_el_mismo = true){
global $DB_CATEGORIA_PRODUCTOS, $mysql;	
	$array_niveles = array();
	if($cat != 0){
		if($con_el_mismo){
			$array_niveles[] = intval($cat);
		}
	}
	$padre = categoria_padre($cat);
	while($padre != 0){
		$array_niveles[] = intval($padre);
		$padre = categoria_padre($padre);
	}
	$array_niveles[] = 0; 
	krsort($array_niveles);
	return $array_niveles;
}
//verifica si la categoria tiene subcategorias. devuelve true o false
function tiene_subcategorias($cat){
	global $DB_CATEGORIA_PRODUCTOS, $mysql;
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE hijo_de = ".$cat;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		return true;
	}else{
		return false;
	}
}
//devuelve un array con las categorias hijas de la categoria, todos los niveles y ella misma
function categorias_hijas($cat){
	global $DB_CATEGORIA_PRODUCTOS, $mysql;
	$array_result = array();
	if($cat != 0){
		$array_result[intval($cat)] = intval($cat);
	}
	$q = "SELECT id FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE hijo_de = ".$cat;
	$result = $mysql->query($q);
	while($array_cat = mysqli_fetch_array($result)){
		if(tiene_subcategorias($array_cat['id'])){
			$array_result = array_merge(categorias_hijas($array_cat['id']), $array_result);
		}else{
			$array_result[intval($array_cat['id'])] = intval($array_cat['id']);
		}
	}
	return $array_result;
}
/*Verifica los usuarios que tiene por activar*/
function usuario_activar(){
	global $DB_USUARIO, $mysql, $bgcolor;
	$q = "SELECT * FROM ".$DB_USUARIO." WHERE status = 3";
	$result = $mysql->query($q);
	$html = "";
	if(mysqli_num_rows($result) > 0){
		$html .= '<div class="menu_item_wide"><div class="toptable">Usuarios por activar</div>';
		while($array = mysqli_fetch_array($result)){
			$html .= '<div class="';
			$html .= $bgcolor = switchbgcolor($bgcolor);
			$html .= ' sel_items"><a href="usuario.php?act=activar&id='.$array['id'].'">'.$array['nombre'].'('.$array['email'].')</a></div>';
		}
		$html .= '</div>';
	}
	return $html;
}
/*FUNCTIONES DE IMPORTACION*/
//convierte en ts una fecha desde magic en formato YYYYMMDD
function fecha_ts_magic($fecha){
	if($fecha == ''){
		return 'NULL';
	}
	if(strlen($fecha) != 8){
		return 'NULL';
	}
	if($fecha == '00000000'){
		return 'NULL';
	}
	$y = substr($fecha, 0, 4);
	$m = substr($fecha, 4, 2);
	$d = substr($fecha, 6, 2);
	//echo $fecha."<br />";
	//echo "Y = ".$y." m = ".$m." d = ".$d."<br />";
	return mktime(0,0,0,$m, $d, $y);
}
//importar los clientes vip de magic
function importar_clientes_magic(){ 
	global $mysql, $DB_MAGIC_CLIENTES, $MAGIC_CLIENTES, $MAGIC_CLIENTES_VIP, $DB_ACTUALIZACIONES;
	$q = "SELECT * FROM ".$MAGIC_CLIENTES." WHERE compania = 2";
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		while($array = mysqli_fetch_array($result)){
			/*if($array['Status'] == 'A'){
				$status = 1;
			}else{
				$status = 2;
			}*/
			$q = "REPLACE INTO ".$DB_MAGIC_CLIENTES." (id, ruc, nombre, tipo_cliente, direccion1, direccion2, direccion3, atencion, telefono, fax, contacto, email, nombre_vip, es_vip) VALUES (".$array['clienteID'].", '".$array['cedulaRuc']."', '".addslashes($array['nombreLegal'])."', '".$array['tipoDeCliente']."', '".addslashes($array['direccion1'])."', '".addslashes($array['direccion2'])."', '".addslashes($array['direccion3'])."', '".addslashes($array['atencion'])."', '".$array['telefono']."', '".$array['fax']."', '".addslashes($array['contacto'])."', '".$array['email']."', '', 0)";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$cont2 = 0;
	$q = "SELECT * FROM ".$MAGIC_CLIENTES_VIP." WHERE CIA = 2";
	//echo $q;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		while($array = mysqli_fetch_array($result)){
			if($array['Status'] == 'A'){
				$q_up = "UPDATE ".$DB_MAGIC_CLIENTES." SET nombre_vip = '".addslashes($array['Nombre legal'])."', es_vip = 1 WHERE id = ".$array['ClienteID'];
				if($mysql->query($q_up)){
					$cont2++;
				}
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 1";
	$mysql->query($q_act);	
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont2." WHERE id = 13";
	$mysql->query($q_act);	
}
//importa los puntos del programa VIP 
function importar_puntos_magic(){
	global $mysql, $DB_ACTUALIZACIONES, $DB_MAGIC_CLIENTES_PUNTOS, $MAGIC_PUNTOS;
	$q = "SELECT * FROM ".$MAGIC_PUNTOS." WHERE CIA = 2";
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_CLIENTES_PUNTOS);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_MAGIC_CLIENTES_PUNTOS." (id_cliente, fecha_acum_ts, acum_compras, puntos_acum, puntos_retirados, premio) VALUES (".$array['ClienteID'].", ".fecha_ts_magic($array['Fecha de Acum']).", ".$array['Acum. de Compras'].", ".$array['Puntos Acumulados'].", ".$array['Puntos Retirados'].", ".$array['Premio Retirado'].")";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 2";
	$mysql->query($q_act);	
}
//Importa los premios de magic
function importar_premios(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_PREMIOS, $DB_MAGIC_CLIENTES_PUNTOS_PREMIOS;
	$q = "SELECT * FROM ".$MAGIC_PREMIOS;
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_CLIENTES_PUNTOS_PREMIOS);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_CLIENTES_PUNTOS_PREMIOS." (id, nombre, puntos_clientes, puntos_selecta) VALUES (".$array['Codigo de Premio'].", '".$array['Descripcion']."', ".$array['PuntosCli'].", ".$array['PuntosSel'].")";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 3";
	$mysql->query($q_act);	
}
//importa los tipos de cliente
function importar_tipo_cliente(){
global $mysql, $MAGIC_TIPO_CLIENTE, $DB_MAGIC_CLIENTES_TIPO;
	$q = "SELECT * FROM ".$MAGIC_TIPO_CLIENTE." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_CLIENTES_TIPO);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_CLIENTES_TIPO." (id, nombre) VALUES ('".$array['tipoDeCliente']."', '".$array['descripcion']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
}
//importa los departamentos
function importar_departamentos(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_DEPARTAMENTOS, $DB_MAGIC_DEPARTAMENTOS;
	$q = "SELECT * FROM ".$MAGIC_DEPARTAMENTOS." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_DEPARTAMENTOS);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_DEPARTAMENTOS." (id, nombre) VALUES ('".$array['itemDept']."', '".$array['Descripcion']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 4";
	$mysql->query($q_act);	
}
//importa las colecciones
function importar_colecciones(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_COLECCIONES, $DB_MAGIC_COLECCIONES;
	$q = "SELECT * FROM ".$MAGIC_COLECCIONES." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_COLECCIONES);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_COLECCIONES." (id, nombre) VALUES ('".$array['coleccionId']."', '".$array['Descripcion']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 5";
	$mysql->query($q_act);	
}
//importa las categorias
function importar_categorias(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_CATEGORIAS, $DB_MAGIC_CATEGORIAS;
	$q = "SELECT * FROM ".$MAGIC_CATEGORIAS." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_CATEGORIAS);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_CATEGORIAS." (id, nombre) VALUES ('".$array['categoria']."', '".$array['descripcion']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 6";
	$mysql->query($q_act);	
}
//importa los productos
function importar_productos(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_PRODUCTOS, $DB_MAGIC_PRODUCTOS;
	$q = "SELECT * FROM ".$MAGIC_PRODUCTOS." WHERE compania = 2 AND Fventa = 1 AND estado = 'A' ";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_PRODUCTOS);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_PRODUCTOS." (departamento_id, id, categoria_id, precio_base, nombre, coleccion_id, fecha_inactivo_ts, fecha_registro_ts, tipo_fabricacion) VALUES ('".$array['itemDept']."', '".$array['itemID']."', '".$array['catgID']."', '".$array['precioBase']."', '".$array['descripcion']."', '".$array['coleccionID']."', ".fecha_ts_magic($array['fechaDeInactivacion']).", ".fecha_ts_magic($array['fechaDeRegistro']).", '".$array['tipoDeFabric']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 7";
	$mysql->query($q_act);	
}
//importa los descuentos
function importar_descuentos(){ 
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_DESCUENTOS, $DB_MAGIC_DESCUENTOS;
	$q = "SELECT * FROM ".$MAGIC_DESCUENTOS." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_DESCUENTOS);
		while($array = mysqli_fetch_array($result)){
			if(!($array['itemDept'] == '' and $array['itemID'] == '' and $array['catgID'] == '' and $array['coleccionID'] == '' and $array['tipoDeCliente'] == '')){
				$q  = "REPLACE INTO ".$DB_MAGIC_DESCUENTOS." (departamento_id, producto_id, categoria_id, coleccion_id, tipo_cliente_id, cantidad_minima, tipo_oferta, monto_oferta, fecha_inicio_ts, fecha_fin_ts) VALUES ('".$array['itemDept']."', '".$array['itemID']."', '".$array['catgID']."', '".$array['coleccionID']."', '".$array['tipoDeCliente']."', '".$array['cantidadMinima']."', '".$array['tipoDeOferta']."', '".$array['montoOferta']."', ".fecha_ts_magic($array['fechaInicio']).", ".fecha_ts_magic($array['fechaFin']).")";
				echo "&nbsp; ";
				if($mysql->query($q)){
					$cont++;
				}
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 10";
	$mysql->query($q_act);	
}
//importa la tabla de facturacion
function importar_facturacion(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_PRODUCTOS_FACTURACION, $DB_MAGIC_PRODUCTOS_FACTURACION;
	$q = "SELECT * FROM ".$MAGIC_PRODUCTOS_FACTURACION." WHERE `Codigo Compania` = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_PRODUCTOS_FACTURACION);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_PRODUCTOS_FACTURACION." (departamento_id, producto_id, tabla_precios, calculo) VALUES ('".$array['Codigo Depto']."', '".$array['CODIGO 26 POSICIONES']."', '".$array['Tabla']."', '".$array['Calculo']."')";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 9";
	$mysql->query($q_act);	
}
//importa la lista de precios
function importar_precios(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_PRODUCTOS_PRECIOS, $DB_MAGIC_PRODUCTOS_PRECIOS;
	$q = "SELECT * FROM ".$MAGIC_PRODUCTOS_PRECIOS." WHERE `Codigo Compania` = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_PRODUCTOS_PRECIOS);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_MAGIC_PRODUCTOS_PRECIOS." (tabla, alto, ancho1, ancho2, precio, n_ondas) VALUES ('".$array['Tabla']."', ".$array['Alto'].", '".$array['Ancho 1']."', '".$array['Ancho 2']."', '".$array['Precio']."', ".$array['N_Ondas'].")";
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 8";
	$mysql->query($q_act);	

}
//importa los headers de las ordenes
function importar_headers_ordenes(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_ORDENES_HEADERS, $DB_MAGIC_ORDENES_HEADERS, $DB_CARRITO;
	$q = "SELECT * FROM ".$MAGIC_ORDENES_HEADERS." WHERE compania = 2";
//	echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	if(mysqli_num_rows($result) > 0){
		//$mysql->query("TRUNCATE ".$DB_MAGIC_ORDENES_HEADERS);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_MAGIC_ORDENES_HEADERS." (ciclo, numero, fecha_orden_ts, fecha_entrega_ts, fecha_apertura_ts, fecha_cierre_ts, estado, estado_detalle, vendedor_id, cliente_id, cliente_nombre, direccion1, direccion2, contacto, telefono1, telefono2,  fax, email, referido_por, crm_tipo, crm_sede, crm_ciclo, crm_numero, total_bruto, decuento_porcentaje, descuento_fijo, descuento_total, total_neto, itbm_total, itbm_porcentaje, total_fijo, total, n_lineas, total_abonado, orden_web) VALUES (".$array['ovCiclo'].", ".$array['ovNumero'].", ".fecha_ts_magic($array['fechaDeOrden']).", ".fecha_ts_magic($array['fechaDeEntrega']).", ".fecha_ts_magic($array['fechaDeApertura']).", ".fecha_ts_magic($array['fechaDeCierre']).", '".$array['estado']."', '".$array['estadoDelDetalle']."', '".$array['vendedorID']."', ".$array['coClienteID'].", '".$array['coClienteNombre']."', '".$array['coDireccion1']."', '".$array['coDireccion2']."', '".$array['coContacto']."', '".$array['coTelefono1']."', '".$array['coTelefono2']."', '".$array['coFax']."', '".$array['coEmail']."', ".$array['referidoPor'].", '".$array['crmTipo']."', '".$array['crmSede']."', ".$array['crmCiclo'].", ".$array['crmNumero'].", '".$array['totalBruto']."', '".$array['pctDescuento']."', '".$array['FdescuentoFijo']."', '".$array['totalDescuento']."', '".$array['totalNeto']."', '".$array['totalITBM']."', '".$array['pctITBM']."', '".$array['FtotalFijo']."', '".$array['total']."', ".$array['noDeLinea'].", '".$array['totalAbonado']."', '".$array['WebOrden']."')";
			//echo $q;
			
			if($mysql->query($q)){
					//hace el cambio de la trabajo de carrito de orden en proceso a otra
					//busca las ordenes que estan en proceso osea en status 3
					$q2 = "SELECT * FROM ".$DB_CARRITO." WHERE status = 3";
					$result2 = $mysql->query($q2);
					if(mysqli_num_rows($result2) > 0){
						while($array2 = mysqli_fetch_array($result2)){
							// si existe, busca las que tenda el id de orden en la tabla de headers
							$q1 = "SELECT * FROM ".$DB_MAGIC_ORDENES_HEADERS." WHERE orden_web = ".$array2['id'];
							//echo $q1;
							$result1 = $mysql->query($q1);
							if(mysqli_num_rows($result1) > 0){
								while($array1 = mysqli_fetch_array($result1)){
									//si hay alguna le cambie el stado a la orden de la tabla de carrito de en proceso a abierta
									$q_upd = "UPDATE ".$DB_CARRITO." SET orden_magic = 1 WHERE id = ".$array1['orden_web'];	
									$result2 = $mysql->query($q_upd);
								}
							}
						}
					}
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 11";
	$mysql->query($q_act);	
}
function ordenes_web(){
	$q = "SELECT * FROM ".$DB_CARRITO." WHERE status = 3 AND orden_magic != 0";
	$result  = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
			
	}
}
//importa las lineas de las ordenes
function importar_lineas_ordenes(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_ORDENES_LINEAS, $DB_MAGIC_ORDENES_LINEAS;
	$q = "SELECT ovCiclo, ovNumero, noDeLinea, itemDept, itemID, tipoDeItem, descripcion, fPedidoEspecial, fRequiereEntrega, cantPedida, cantReservada, cant_aReservar, cantFacturada, cantEntregadaPiso, cantEntregadaTransit, cantEntregadaConfirm, cantRecibida, cantOC, precioUnitario, fDescuentoFijo, pctDescuento, pctDescuentoMax, totalDescuento, totalDescuentoGlobal, totalExtendido, totalDescuentoFactur, totalDescuentoGFactu, totalVentaFacturado FROM ".$MAGIC_ORDENES_LINEAS." WHERE compania = 2";
	//echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	$cant = mysqli_num_rows($result);
	if($cant > 0){
	//	echo $cant;
		//$mysql->query("TRUNCATE ".$DB_MAGIC_ORDENES_HEADERS);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_MAGIC_ORDENES_LINEAS." (ciclo, numero, n_linea, departamento_id, producto_id, tipo_item, descripcion, pedido_especial, requiere_entrega, cant_pedida, cant_reservada, cant_a_reservar, cant_facturada, cant_entregada_piso, cant_entregada_transit, cant_entregada_confirm, cant_recibida, cant_oc, precio_unitario, descuento_fijo, descuento_porcentaje, descuento_porcentaje_max, descuento_total, descuento_total_global, total_extendido, descuento_total_facturado, descuento_total_g_factura, total_venta_facturado) VALUES (".$array['ovCiclo'].", ".$array['ovNumero'].", ".$array['noDeLinea'].", '".$array['itemDept']."', '".$array['itemID']."', '".$array['tipoDeItem']."', '".addslashes($array['descripcion'])."', '".$array['fPedidoEspecial']."', '".$array['fRequiereEntrega']."', '".$array['cantPedida']."', '".$array['cantReservada']."', '".$array['cant_aReservar']."', '".$array['cantFacturada']."', '".$array['cantEntregadaPiso']."', '".$array['cantEntregadaTransit']."', '".$array['cantEntregadaConfirm']."', '".$array['cantRecibida']."', '".$array['cantOC']."', '".$array['precioUnitario']."', '".$array['fDescuentoFijo']."', '".$array['pctDescuento']."', '".$array['pctDescuentoMax']."', '".$array['totalDescuento']."', '".$array['totalDescuentoGlobal']."', '".$array['totalExtendido']."', '".$array['totalDescuentoFactur']."', '".$array['totalDescuentoGFactu']."', '".$array['totalVentaFacturado']."')";
			//echo $q;
			if($mysql->query($q)){
				$cont++;
			}else{
				echo $q.'<br />';
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 12";
	$mysql->query($q_act);	

}
//importa las lineas de las ordenes
function importar_productos_parametros(){
	global $mysql, $DB_ACTUALIZACIONES, $MAGIC_PRODUCTOS_PARAMETROS, $DB_MAGIC_PRODUCTOS_PARAMETROS;
	$q = "SELECT * FROM ".$MAGIC_PRODUCTOS_PARAMETROS;
//	echo $q;
	$result = $mysql->query($q);
	$cont = 0;
	$cant = mysqli_num_rows($result);
	if($cant > 0){
		//echo $cant;
		$mysql->query("TRUNCATE ".$DB_MAGIC_PRODUCTOS_PARAMETROS);
		while($array = mysqli_fetch_array($result)){
			$q  = "INSERT INTO ".$DB_MAGIC_PRODUCTOS_PARAMETROS." (tipo_producto, id_parametro, nombre_parametro, tipo_parametro, expresion, es_entrada, visible, save, hidden, numero_linea) VALUES ('".$array['tipoDeProducto']."', '".$array['paramID']."', '".$array['paramName']."', '".$array['paramType']."', '".addslashes($array['paramExp'])."', '".$array['FallowInput']."', '".$array['Fvisible']."', '".$array['Fsave']."', '".$array['Fhidden']."','".$array['noDeLinea']."')";
			//echo $q;
			if($mysql->query($q)){
				$cont++;
				//echo $cont;
			}else{
				echo $q.'<br />';	
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 14";
	$mysql->query($q_act);	

}
//importa los datos 
function importar_productos2(){
	global $mysql, $DB_MAGIC_PRODUCTOS, $DB_PRODUCTOS;
	$q = "SELECT * FROM ".$DB_MAGIC_PRODUCTOS." WHERE departamento_id = 70"; 
	//echo $q;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		//$mysql->query("TRUNCATE ".$DB_MAGIC_ORDENES_HEADERS);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_PRODUCTOS." (id, departamento_magic, id_magic, nombre, marca, descripcion) VALUES ('', '".$array['departamento_id']."', '".$array['id']."', '".$array['nombre']."', '', '')";
			//echo $q;
			if($mysql->query($q)){
				
			}
		}
	}
}
//modifica las ordenes

//entrega los productos que no tienen categoria
function categorias_producto_widget(){
	global $mysql, $DB_PRODUCTOS, $bgcolor;
	$q = "SELECT * FROM ".$DB_PRODUCTOS." WHERE status = 0 AND categoria IS NULL";	
	$result = $mysql->query($q);
	$html = '';
	if(mysqli_num_rows($result)){
		$html .= '<div class="menu_item_wide">';
			$html .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
				$html .= '<tr class="toptable">';
					$html .= '<td colspan="2">Producto sin categoria</td>';
		      	$html .= '</tr>';
		while($array = mysqli_fetch_array($result)){
		$bgcolor = switchbgcolor($bgcolor);
				$html .= '<tr class="'.$bgcolor.' rollover">';
					$html .= '<td><a href="productos.php?act=del&id='.$array['id'].'" class="block"><img src="images/borrar.gif" alt="Eliminar" border="0" /></a></td>';
				$html .= '</tr>';
		}
		$html .= '</table></div>';
	}
	return $html;
}
function importar_colores(){ 
	global $mysql, $DB_MAGIC_PRODUCTOS_COLORES, $MAGIC_PRODUCTOS_COLORES, $DB_ACTUALIZACIONES;
	$q = "SELECT * FROM ".$MAGIC_PRODUCTOS_COLORES;//." WHERE `Tipo de Producto Rel` = 'TELA'"; 
	//echo $q;
	$cont = 0;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		$mysql->query("TRUNCATE ".$DB_MAGIC_PRODUCTOS_COLORES);
		while($array = mysqli_fetch_array($result)){
			$q  = "REPLACE INTO ".$DB_MAGIC_PRODUCTOS_COLORES." (id_departamento, id_producto, id_departamento_rel, id_producto_rel , descripcion, tipo_producto, tipo_producto_rel) VALUES ('".$array['Cod Facturacion Dep.']."', '".$array['Cod Fact. Articulo']."','".$array['Cod. Dep. Relaciona']."','".$array['Cod. Articulo Relaci']."','".$array['Descripcion Relacion']."', '".$array['Tipo de Producto']."', '".$array['Tipo de Producto Rel']."')";
			//echo $q;
			if($mysql->query($q)){
				$cont++;
			}
		}
	}
	$q_act = "UPDATE ".$DB_ACTUALIZACIONES." SET ts = ".time().", cantidad = ".$cont." WHERE id = 15";
	$mysql->query($q_act);	
	popular_colores();
} 
//Revisa de la tabla de colores de Magic (ya importada) los colores que no estan en la tabla de productos_colores y los inserta
function popular_colores(){
	global $mysql, $DB_MAGIC_PRODUCTOS_COLORES, $DB_COLORES, $DB_MAGIC_PRODUCTOS;
	$q = "SELECT DISTINCT id_departamento_rel, id_producto_rel FROM ".$DB_MAGIC_PRODUCTOS_COLORES;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		while($array = mysqli_fetch_array($result)){
			$q_ver = "SELECT * FROM ".$DB_COLORES." WHERE id_departamento_rel = '".$array['id_departamento_rel']."' AND id_producto_rel = '".$array['id_producto_rel']."'";
			$res_ver = $mysql->query($q_ver);
			if(mysqli_num_rows($res_ver) == 0){
				$q_desc = "SELECT nombre FROM ".$DB_MAGIC_PRODUCTOS." WHERE departamento_id = '".$array['id_departamento_rel']."' AND id = '".$array['id_producto_rel']."'";
				$res_desc = $mysql->query($q_desc);
				if(mysqli_num_rows($res_desc) > 0){
					$array_desc = mysqli_fetch_array($res_desc);
					$descripcion = $array_desc['nombre'];
				}else{
					$descripcion = '';
				}
				//Solo para cargar la imagen del sitio viejo la primera vez
				/*$q_img = "SELECT * FROM productos_bak WHERE seccion = ".$array['id_departamento_rel']." AND codigo = '".$array['id_producto_rel']."'";
				$res_img = $mysql->query($q_img);
				if(mysqli_num_rows($res_img) > 0){
					$array_img = mysqli_fetch_array($res_img);
					$imagen = $array_img['id'].".jpg";
				}else{
					$imagen = '';
				}
				$q_add = "INSERT INTO ".$DB_COLORES." (id_departamento_rel, id_producto_rel, descripcion, imagen) VALUES ('".$array['id_departamento_rel']."', '".$array['id_producto_rel']."', '".$descripcion."', '".$imagen."')";
				/**/
				$q_add = "INSERT INTO ".$DB_COLORES." (id_departamento_rel, id_producto_rel, descripcion) VALUES ('".$array['id_departamento_rel']."', '".$array['id_producto_rel']."', '".$descripcion."')";
				$mysql->query($q_add);
			}
		}
	}
}
//funcion script_subir_imagen - ver. 1.3
////script que sube la imagen tipo de archico para subir son Imagen y Documento,
//script que sube la imagen tipo de archico para subir son Imagen y Documento,
function script_subir_imagen($nombre_var, $valor_var, $carpeta, $dir_archivo_upload, $tipo_archivo = 'Imagen', $debug = false, $dir_script = 'Scripts/uploadify/uploadify.swf', $limite = '2MB'){
    $html = '';
    $html .= "<input id='".$nombre_var."_up' name='uploadfile' type='file' /><div id='".$nombre_var."_response' class='error'>";
    if($valor_var != ''){
        $html .= "<img src=\"".$carpeta.$valor_var."\" border='0' alt='icono' />";
    }
    $html .= "<input type='hidden' name='".$nombre_var."' id='".$nombre_var."' value='".$valor_var."' />&nbsp;</div>";
    $html .= '<script type="text/javascript">';
        $html .= "$(document).ready(function(){";
        $html .= "$('#".$nombre_var."_up').uploadify({";
        $html .= "'swf' : '".$dir_script."',";
        if(!strstr($dir_archivo_upload, "?")){
            $dir_archivo_upload = $dir_archivo_upload."?xvar=1";
        }
        $html .= "'uploader' : '".$dir_archivo_upload."&session_id=".session_id()."',";
        $html .= "'buttonText' : 'Seleccione...',";
        $html .= "'fileSizeLimit' : '".$limite."',";
        if($tipo_archivo == 'Imagen'){
            $html .= "'fileTypeDesc' : 'Imagen', ";
            $html .= "'fileTypeExts' : '*.gif; *.jpg; *.png',";
        }elseif($tipo_archivo == 'Documento'){
            $html .= "'fileTypeDesc' : 'Documento',";
            $html .= "'fileTypeExts' : '*.pdf; *.doc; *.docx; *.xls; *.xlsx',";
        }
        $html .= "'removeTimeout' : 0,";
        $html .= "'multi'    : false,";
        $html .= "'onSelect'    : function(event,ID,fileObj){
			";
            $html .= "$('div#".$nombre_var."_response').html('&nbsp;');
			";
        $html .= '},
		';
        $html .= "'onUploadSuccess': function(file, data, response){
			";
            //alert(data);
            //$html .= "$('#response').html(data);";
            if($debug){
                $html .= "console.log(data);";
            }
            $html .= "var obj1=jQuery.parseJSON(data);
			";
             
        //    alert(obj1.a); 
            if($debug){
                $html .= "console.log(obj1.a);";      
            }
            $html .= "if(obj1.a == 'error'){";
                $html .= "$('div#".$nombre_var."_response').html('<span class=\"error\">' + obj1.b + '</span>');";
            $html .= "}else if(obj1.a == 'success'){";
                $html .= "$('div#".$nombre_var."_response').html('<img src=\"".$carpeta."'+obj1.b+'\" alt=\"producto\" /><input type=\"hidden\" name=\"".$nombre_var."\" id=\"".$nombre_var."\" value=\"'+obj1.b+'\" />');";
            $html .= "}";
        $html .= "}";
    $html .= "});";
$html .= "});";
$html .= "</script>";
return $html;
}

//funcion subir_imagenes - ver. 1.3
////funcion que sube la imagen
function subir_imagenes($dir, $width, $height, $marca_agua = NULL, $tamano_fijo = false, $relleno_color = NULL){   
    ini_set('memory_limit', "500M");   
    if(!empty($_FILES)){   
        $ftmp = $_FILES['Filedata']['tmp_name'];   
        $name_exp = explode(".", $_FILES['Filedata']['name']);   
        $ext = strtolower($name_exp[count($name_exp) - 1]);   
        $tempname = str_replace(" ", "_", $name_exp[0]); 
        $result = '';  
        //Se verifica que no hayan caracteres especiales
            for ($i=0; $i<strlen($tempname); $i++) {
                if (preg_match('([0-9]|[A-Za-z.]|_)', $tempname[$i])) {
                    $result = $result . $tempname[$i];
                }
            }
            $fname = $result.".".$ext;
            $full_name = $dir.$fname;
        while(file_exists($full_name)){
            $fname = rand().$fname;
            $full_name = $dir.$fname;
        }
        move_uploaded_file ($ftmp, $full_name);
        if(create_low_res($full_name, $full_name, $width, $height, $marca_agua, $tamano_fijo, $relleno_color)){
           echo json_encode(array ('a'=>'success','b'=>$fname));   
        }else{   
            echo json_encode(array ('a'=>'error','b'=>"ERROR"));   
            die();   
        }       
    }else{   
        echo json_encode(array ('a'=>'error','b'=>"NO ENVI&Oacute; UN ARCHIVO"));   
        die();   
    }   
}   
//nombre del producto
function nombre_producto($departamento, $id_magic){
	global $DB_MAGIC_PRODUCTOS, $mysql;
	$q_magic = "SELECT * FROM ".$DB_MAGIC_PRODUCTOS." WHERE departamento_id = ".$departamento." AND id = ".$id_magic;
	$result_magic = $mysql->query($q_magic);
	if(mysqli_num_rows($result_magic) > 0){
		$array_magic = mysqli_fetch_array($result_magic);
		return $array_magic['nombre'];
	}
}
function achica_imagen_auto($imagen, $nombre_variable, $width, $height){
	global $producto_url, $img_thproducto_w, $img_thproducto_h;	
	$full_name1 = $producto_url.$imagen;
	$full_name2 = $producto_url.$nombre_variable.$imagen;
	create_low_res($full_name1, $full_name2, $width, $height, NULL, true, NULL);
}
function nombre_existe($tabla, $nombre_campo, $variable){
	global $mysql;	
	$q = "SELECT * FROM ".$tabla." WHERE ".$nombre_campo." LIKE '%".$variable."%'";
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		 return true;	
	}else{
		return false;
	}
}
function cat_tiene_hijos($categoria){
	global $mysql, $DB_CATEGORIA_PRODUCTOS;
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE hijo_de = ".$categoria." AND status = 1";
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		return true;
	}else{
		return false;
	}
}
function cat_tiene_producto($id){
	global $DB_PRODUCTOS, $mysql;	
	$q = "SELECT * FROM ".$DB_PRODUCTOS." WHERE categoria = ".$id;
	//echo $q;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		return true;	
	}else{
		return false;
	}
}

/**/
function cat_images_widgets(){
	global $DB_CATEGORIA_PRODUCTOS, $mysql, $bgcolor;
	$q = "SELECT * FROM ".$DB_CATEGORIA_PRODUCTOS." WHERE imagen = '' ORDER BY nombre";
	$result = $mysql->query($q);
	$html = '';
	$cant = mysqli_num_rows($result);
	if($cant > 0){
			$html .= '<div class="menu_item_wide">';
			$html .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
				$html .= '<tr class="toptable">';
					$html .= '<td colspan="2">Categoria sin Imagen ('.$cant.')</td>';
		      	$html .= '</tr>';
		while($array = mysqli_fetch_array($result)){
			if(cat_tiene_hijos($array['id']) or cat_tiene_producto($array['id'])){
				$bgcolor = switchbgcolor($bgcolor);
				$html .= '<tr class="'.$bgcolor.' rollover">';
						$array2 = categorias_niveles( $array['id'], true);
						$cat_show = '';
						if($array['hijo_de'] != 0){
							foreach($array2 as $array['id']){
								if( $array['id'] != 0){
									$cat_show .=  nombre_tabla($array['id'], $DB_CATEGORIA_PRODUCTOS, 'nombre').' - ' ;	
								}
							}
							$html .= '<td><a href="categoria_productos.php?act=mod&id='.$array['id'].'" class="block cat_img">'.substr($cat_show, 0, -3).'</a></td>';
						}
					$html .= '</tr>';
			}
		}	
		$html .= '</table></div>';
	}
	return $html;
}
function widget_colores_imagen(){
	global $DB_MAGIC_PRODUCTOS_COLORES, $DB_COLORES, $DB_PRODUCTOS, $mysql, $bgcolor;
	$q = "SELECT DISTINCT CONCAT(id_departamento_rel, '-', id_producto_rel) AS cod_magic FROM ".$DB_MAGIC_PRODUCTOS_COLORES." WHERE CONCAT(id_departamento_rel, '-', id_producto_rel)  NOT IN (SELECT CONCAT(id_departamento_rel, '-', id_producto_rel) FROM ".$DB_COLORES." WHERE imagen != '') AND CONCAT(id_departamento, '-', id_producto) IN (SELECT CONCAT(departamento_magic, '-', id_magic) AS cod_magic FROM ".$DB_PRODUCTOS." WHERE status = 1)";
	//echo $q;
	$result = $mysql->query($q);
	$html = '';
	$cants = 0;
	$cant = mysqli_num_rows($result);
	if($cant > 0){
		$html .= '<div class="menu_item_wide">';
			$html .= '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
				$html .= '<tr class="toptable">';
					$html .= '<td colspan="2">Colores sin Imagen ('.$cant.')</td>';
		      	$html .= '</tr>';
				
		while($array = mysqli_fetch_array($result)){
			$bgcolor = switchbgcolor($bgcolor);
				$depto = substr($array['cod_magic'], 0, 2);
				$prod = substr($array['cod_magic'], 3, 10);
				$html .= '<tr class="'.$bgcolor.' rollover">';
					$html .= '<td><a href="colores_telas.php?act=mod&id='.$prod.'&depto='.$depto.'" class="block cat_img">'.$array['cod_magic'].'</a></td>';
				$html .= '</tr>';
			
		}	
		$html .= '</table></div>';
	}
	return $html;		
}
//verifica si la cat no esta siendo utilizada antes de borrarla
function verificar_del($tabla, $nombre_campo, $id){
	global $mysql;
	$q = "SELECT * FROM ".$tabla." WHERE ".$nombre_campo." = ".$id;
	$result = $mysql->query($q);
	if(mysqli_num_rows($result) > 0){
		return true;	
	}else{
		return false;
	}
}
function colocar_orden($cat){
	global $mysql, $DB_COLORES;
	$q = "SELECT * FROM ".$DB_COLORES." WHERE categoria = ".$cat;
	$result = $mysql->query($q);
	$cant = mysqli_num_rows($result);
	if($cant > 0){
		$cont = 1;
		while($array = mysqli_fetch_array($result)){
			$q_up = "UPDATE ".$DB_COLORES." SET orden = ".$cont." WHERE id_departamento_rel = ".$array['id_departamento_rel']." AND id_producto_rel = ".$array['id_producto_rel'];
//			echo $q_up;	
			$result_qup = $mysql->query($q_up);
			$cont++;
		}
	}
}
?>