<?php
include_once "includes/errormsgs_site.php";
function error($number = 'na', $nombre = NULL){
	switch ($number) {
		case 'na':
			return "Error no identificado";
		case 'login1':
			return "No se ha podido verificar su identidad";
		case 'login2':
			return 'La contrase&ntilde;a que escribi&oacute; es muy corta, debe tener al menos 5 caracteres';
		case 'login3':
			return 'Las contrase&ntilde;as no coinciden';
		case 'login4':
			return 'La clave debe tener al menos un caracter num&eacute;rico';
		case 'login5':
			return 'La clave debe tener al menos una letra may&uacute;scula';
		case 'login6':
			return 'La clave debe tener al menos una letra min&uacute;scula';
		//Errores de Validacion
		case "v1":
			return "Debe escribir en el campo ".$nombre;
		case "v2":
			return "Debe escoger una opci&oacute;n de ".$nombre;
		case "v3":
			return "La informaci&oacute;n del campo ".$nombre." ya existe, intente nuevamente";
		case "v4":
			return "Debe escribir un correo v&aacute;lido";
		case "v5":
			return "El ".$nombre." es un n&uacute;mero inv&aacute;lido";
		//Error de Escritura en base de datos
		case "db1":
			return "Error, no se pudo escribir en la base de datos";
		default:
			return error2($number, $nombre);
	}
} 
?>